using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
namespace Mango
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int m = int.Parse(s[1]);
            int[,] x = new int[n, m];
            for (int i = 0; i < n; i++)
            {
                s = Console.ReadLine().Split();
                for(int j = 0; j < m; j++)
                {
                    x[i,j] = int.Parse(s[j]);
                }
            }
            Console.WriteLine(1);
        }
    }
}